Skip to content

List queues

Queues
POSThttps://api.dcdial.com/api/type=get_queues
Read onlyToken

Lists your call queues, newest first.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_queues for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_queues \
-d token="$DCDIAL_TOKEN"
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"queues_list": [
{
"group_id": "grpGENERAL",
"group_name": "General Queue",
"queue_priority": "99",
"active": "Y",
"call_time_id": "ccsDefault",
"group_color": "Blue"
},
{
"group_id": "grpPAYMENTS",
"group_name": "Payment IVR Queue",
"queue_priority": "99",
"active": "Y",
"call_time_id": "ccsDefault",
"group_color": "Blue"
}
]
}
}

Try it

Environment